<?php require 'formkit/app/fk-input.php' ?>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<link rel="stylesheet" href="formkit/app/fk.css">
<link rel="stylesheet" href="custom.css">
<meta name="viewport" content="width=device-width">
<title>入力画面 - 要素サンプルフォーム - FormKit</title>
</head>
<body>

<!-- ナビリンク -->
<?php include '../navi.php' ?>

<main>
	<h1>サンプルフォーム：要素サンプル</h1>
	<p class="desc">
		以下、入力要素のサンプルが確認できます。黄色文字の箇所は要素名ですので、適所書き換えてご利用ください。<br>
	</p>
	<noscript>JavaScriptを有効にして下さい。</noscript>
	<form action="check.php" method="post" enctype="multipart/form-data">
		<?= \FK\hiddens_tag() ?>
		<table>
			<tbody>
				<tr class="title"><th colspan="3">テキスト要素サンプル</th></tr>
				<tr>
					<th>
						<p>お名前</p>
						<div class="rule">20文字チェック</div>
					</th>
					<td>
						<input type="text" name="onamae" value="<?= $onamae ?>">
						<?= $onamae->marker_tag() ?>
						<?= $onamae->error_tag() ?>
					</td>
					<td>
						<dl>
							<dt>フォームPHP</dt>
							<dd>
								<code>
									&lt;input type="text" name="<span>onamae</span>" value="&lt;?= $<span>onamae</span> ?&gt;"&gt;<br>
									&lt;?= $<span>onamae</span>-&gt;<a href="">marker_tag</a>() ?&gt;<br>
									&lt;?= $<span>onamae</span>-&gt;<a href="">error_tag</a>() ?&gt;
								</code>
							</dd>
						</dl>
						<dl>
							<dt>config.php</dt>
							<dd><code>'<span>onamae</span>' => <a href="">LENGTH</a>(20),</code></dd>
						</dl>
						<dl>
							<dt>メール文PHP</dt>
							<dd><code>&lt;?= $<span>onamae</span> ?&gt;'</code></dd>
						</dl>
					</td>
				</tr>
				<tr>
					<th>
						<p>お名前（フリガナ）</p>
						<div class="rule">カタカナ変換＆20文字チェック</div>
					</th>
					<td>
						<input type="text" name="kana" value="<?= $kana ?>">
						<?= $kana->marker_tag() ?>
						<?= $kana->error_tag() ?>
					</td>
					<td>
						<dl>
							<dt>フォームPHP</dt>
							<dd>
								<code>
									&lt;input type="text" name="<span>kana</span>" value="&lt;?= $<span>kana</span> ?&gt;"&gt;<br>
									&lt;?= $<span>kana</span>-&gt;<a href="">marker_tag</a>() ?&gt;<br>
									&lt;?= $<span>kana</span>-&gt;<a href="">error_tag</a>() ?&gt;
								</code>
							</dd>
						</dl>
						<dl>
							<dt>config.php</dt>
							<dd><code>'<span>kana</span>' => <a href="">LENGTH</a>(20) -> <a href="">KATA</a>(),</code></dd>
						</dl>
						<dl>
							<dt>メール文PHP</dt>
							<dd><code>&lt;?= $<span>kana</span> ?&gt;'</code></dd>
						</dl>
					</td>
				</tr>
				<tr>
					<th>
						<p>年齢</p>
						<div class="rule">半角数値0～150チェック</div>
					</th>
					<td>
						<input type="text" name="age" value="<?= $age ?>"> 歳
						<?= $age->marker_tag() ?>
						<?= $age->error_tag() ?>
					</td>
					<td>
						<dl>
							<dt>フォームPHP</dt>
							<dd>
								<code>
									&lt;input type="text" name="<span>age</span>" value="&lt;?= $<span>age</span> ?&gt;"&gt; <i>歳</i><br>
									&lt;?= $<span>age</span>-&gt;<a href="">marker_tag</a>() ?&gt;<br>
									&lt;?= $<span>age</span>-&gt;<a href="">error_tag</a>() ?&gt;
								</code>
							</dd>
						</dl>
						<dl>
							<dt>config.php</dt>
							<dd><code>'<span>age</span>' => <a href="">MINXMAX</a>(0,150),</code></dd>
						</dl>
						<dl>
							<dt>メール文PHP</dt>
							<dd><code>&lt;?= $<span>age</span>-&gt;<a href="">tail</a>('歳') ?&gt;'</code></dd>
						</dl>
					</td>
				</tr>
				<tr>
					<th>
						<p>メールアドレス</p>
						<div class="rule">メールアドレス形式チェック、同値チェック</div>
					</th>
					<td>
						<input type="text" name="email" value="<?= $email ?>" data-fk-with="email2">
						<?= $email->marker_tag() ?>
						<?= $email->error_tag() ?>
						<p>確認用に再度入力して下さい。</p>
						<input type="text" name="email2" value="<?= $email2 ?>" data-fk-with="email">
						<?= $email2->marker_tag() ?>
						<?= $email2->error_tag() ?>
					</td>
					<td>
						<dl>
							<dt>フォームPHP</dt>
							<dd>
								<code>
									&lt;input type="text" name="<span>email</span>" value="&lt;?= $<span>email</span> ?&gt;" data-fk-with="<span>email2</span>"&gt;<br>
									&lt;?= $<span>email</span>-&gt;<a href="">marker_tag</a>() ?&gt;<br>
									&lt;?= $<span>email</span>-&gt;<a href="">error_tag</a>() ?&gt;<br>
									&lt;p&gt;<i>確認用に再度入力して下さい。</i>&lt;/p&gt;<br>
									&lt;input type="text" name="<span>email2</span>" value="&lt;?= $<span>email2</span> ?&gt;" data-fk-with="<span>email</span>"&gt;<br>
									&lt;?= $<span>email2</span>-&gt;<a href="">marker_tag</a>() ?&gt;<br>
									&lt;?= $<span>email2</span>-&gt;<a href="">error_tag</a>() ?&gt;
								</code>
							</dd>
							<dt>フォームPHP（確認画面）</dt>
							<dd>
								<code>
									&lt;?= $<span>email</span>-&gt;<a href="">mail_link_tag</a>() ?&gt;
								</code>
							</dd>
						</dl>
						<dl>
							<dt>config.php</dt>
							<dd>
								<code>
									'<span>email</span>'  => <a href="">EMAIL</a>(),<br>
									'<span>email2</span>' => <a href="">REQ</a>('<span>email</span>') -> <a href="">ERRORSET</a>('<i>こちらにも入力して下さい。</i>') -> <a href="">SAME</a>('<span>email</span>'),
								</code>
							</dd>
						</dl>
						<dl>
							<dt>メール文PHP</dt>
							<dd><code>&lt;?= $<span>email</span> ?&gt;'</code></dd>
						</dl>
					</td>
				</tr>
				<tr>
					<th>
						<p>型番</p>
						<div class="rule">正規表現チェック</div>
					</th>
					<td>
						<input type="text" name="sid" value="<?= $sid ?>" placeholder="「K-」から始まる数値5桁">
						<?= $sid->marker_tag() ?>
						<?= $sid->error_tag() ?>
					</td>
					<td>
						<dl>
							<dt>フォームPHP</dt>
							<dd>
								<code>
									&lt;input type="text" name="<span>sid</span>" value="&lt;?= $<span>sid</span> ?&gt;"&gt;<br>
									&lt;?= $<span>sid</span>-&gt;<a href="">marker_tag</a>() ?&gt;<br>
									&lt;?= $<span>sid</span>-&gt;<a href="">error_tag</a>() ?&gt;
								</code>
							</dd>
						</dl>
						<dl>
							<dt>config.php</dt>
							<dd><code>'<span>sid</span>' => <a href="">REGEX</a>('/^K-\d{5}$/'),</code></dd>
						</dl>
						<dl>
							<dt>メール文PHP</dt>
							<dd><code>&lt;?= $<span>sid</span> ?&gt;'</code></dd>
						</dl>
					</td>
				</tr>
				<tr>
					<th>
						<p>ご予約希望日</p>
						<div class="rule">日付チェック</div>
					</th>
					<td>
						<input type="text" name="hope_date" value="<?= $hope_date ?>" placeholder="0000-00-00の形式">
						<?= $hope_date->marker_tag() ?>
						<?= $hope_date->error_tag() ?>
					</td>
					<td>
						<dl>
							<dt>フォームPHP</dt>
							<dd>
								<code>
									&lt;input type="text" name="<span>hope_date</span>" value="&lt;?= $<span>hope_date</span> ?&gt;"&gt;<br>
									&lt;?= $<span>hope_date</span>-&gt;<a href="">marker_tag</a>() ?&gt;<br>
									&lt;?= $<span>hope_date</span>-&gt;<a href="">error_tag</a>() ?&gt;
								</code>
							</dd>
						</dl>
						<dl>
							<dt>config.php</dt>
							<dd><code>'<span>hope_date</span>' => <a href="">DATES</a>(),</code></dd>
						</dl>
						<dl>
							<dt>メール文PHP</dt>
							<dd><code>&lt;?= $<span>hope_date</span> ?&gt;'</code></dd>
						</dl>
					</td>
				</tr>
				<tr>
					<th>
						<p>誕生日</p>
						<div class="rule">日付チェック（年月日別欄）</div>
					</th>
					<td>
						<div data-fk-group="_birthday">
							<input type="text" name="birth_year" value="<?= $birth_year ?>" placeholder="年" size="2"> /
							<input type="text" name="birth_month" value="<?= $birth_month ?>" placeholder="月" size="2"> /
							<input type="text" name="birth_day" value="<?= $birth_day ?>" placeholder="日" size="2">
							<?= $_birthday->marker_tag() ?>
							<?= $_birthday->error_tag() ?>
						</div>
					</td>
					<td>
						<dl>
							<dt>フォームPHP</dt>
							<dd>
								<code>
									&lt;div data-fk-group="<span>_birthday</span>"&gt;<br>
									&nbsp;&nbsp;&lt;input type="text" name="<span>birth_year</span>" value="&lt;?= $<span>birth_date</span> ?&gt;"&gt; /<br>
									&nbsp;&nbsp;&lt;input type="text" name="<span>birth_month</span>" value="&lt;?= $<span>birth_date</span> ?&gt;"&gt; /<br>
									&nbsp;&nbsp;&lt;input type="text" name="<span>birth_day</span>" value="&lt;?= $<span>birth_date</span> ?&gt;"&gt;<br>
									&nbsp;&nbsp;&lt;?= $<span>_birthday</span>-&gt;<a href="">marker_tag</a>() ?&gt;<br>
									&nbsp;&nbsp;&lt;?= $<span>_birthday</span>-&gt;<a href="">error_tag</a>() ?&gt;<br>
									&lt;/div&gt;
								</code>
							</dd>
						</dl>
						<dl>
							<dt>config.php</dt>
							<dd>
								<code>
									'<span>birth_year</span>' =&gt; <a href="">YEAR</a>(),<br>
									'<span>birth_month</span>' =&gt; <a href="">MONTH</a>(),<br>
									'<span>birth_day</span>' =&gt; <a href="">DAY</a>(),<br>
									'<span>_birthday</span>' =&gt; <a href="">DATES</a>('<span>birth_year</span>','<span>birth_month</span>','<span>birth_day</span>'),
								</code>
							</dd>
						</dl>
						<dl>
							<dt>メール文PHP</dt>
							<dd><code>&lt;?= $<span>birth_year</span> ?&gt;年 &lt;?= $<span>birth_month</span> ?&gt;月 &lt;?= $<span>birth_day</span> ?&gt;日</code></dd>
						</dl>
					</td>
				</tr>

				<tr class="title"><th colspan="3">選択肢要素サンプル</th></tr>
				<tr>
					<th><p>性別</p></th>
					<td>
						<label><input type="radio" name="gender" value="男性"<?= $gender->checked('男性') ?>> 男性</label><br>
						<label><input type="radio" name="gender" value="女性"<?= $gender->checked('女性') ?>> 女性</label><br>
						<?= $gender->error_tag() ?>
					</td>
					<td>
						<dl>
							<dt>フォームPHP</dt>
							<dd>
								<code>
									&lt;input type="radio" name="<span>gender</span>" value="<i>男性</i>"&lt;?= $<span>gender</span>-&gt;checked('<i>男性</i>') ?&gt;&gt;<br>
									&lt;input type="radio" name="<span>gender</span>" value="<i>女性</i>"&lt;?= $<span>gender</span>-&gt;checked('<i>女性</i>') ?&gt;&gt;<br>
									&lt;?= $<span>gender</span>-&gt;<a href="">error_tag</a>() ?&gt;
								</code>
							</dd>
						</dl>
						<dl>
							<dt>config.php</dt>
							<dd>
								<code>
									'<span>gender</span>' => <a href="">ITEM</a>('<i>男性</i>','<i>女性</i>'),
								</code>
							</dd>
						</dl>
						<dl>
							<dt>メール文PHP</dt>
							<dd><code>&lt;?= $<span>gender</span> ?&gt;</code></dd>
						</dl>
					</td>
				</tr>
				<tr>
					<th><p>アンケート（複数回答可）</p></th>
					<td>
						<label><input type="checkbox" name="enq[]" value="回答A"<?= $enq->checked('回答A') ?>> 回答A</label><br>
						<label><input type="checkbox" name="enq[]" value="回答B"<?= $enq->checked('回答B') ?>> 回答B</label><br>
						<label><input type="checkbox" name="enq[]" value="回答C"<?= $enq->checked('回答C') ?>> 回答C</label><br>
						<?= $enq->error_tag() ?>
					</td>
					<td>
						<dl>
							<dt>フォームPHP</dt>
							<dd>
								<code>
									&lt;label&gt;&lt;input type="checkbox" name="<span>enq</span>[]" value="<i>回答A</i>"&lt;?= $<span>enq</span>-&gt;checked('<i>回答A</i>') ?&gt;&gt; <i>回答A</i>&lt;/label&gt;&lt;br&gt;<br>
									&lt;label&gt;&lt;input type="checkbox" name="<span>enq</span>[]" value="<i>回答B</i>"&lt;?= $<span>enq</span>-&gt;checked('<i>回答B</i>') ?&gt;&gt; <i>回答B</i>&lt;/label&gt;&lt;br&gt;<br>
									&lt;label&gt;&lt;input type="checkbox" name="<span>enq</span>[]" value="<i>回答C</i>"&lt;?= $<span>enq</span>-&gt;checked('<i>回答C</i>') ?&gt;&gt; <i>回答C</i>&lt;/label&gt;&lt;br&gt;<br>
									&lt;?= $<span>enq</span>-&gt;<a href="">error_tag</a>() ?&gt;
								</code>
							</dd>
						</dl>
						<dl>
							<dt>config.php</dt>
							<dd>
								<code>
									'<span>enq</span>' => null,
								</code>
							</dd>
						</dl>
						<dl>
							<dt>メール文PHP</dt>
							<dd>
								<code>&lt;?= $<span>enq</span>-&gt;<a href="">indent</a>('<i>・</i>') ?&gt;</code>
								<br>
								<code>&lt;?= $<span>enq</span>-&gt;<a href="">join</a>('<i>、</i>') ?&gt;</code>
							</dd>
						</dl>
					</td>
				</tr>
				<tr>
					<th><p>お問い合わせの種類</p></th>
					<td>
						<select name="type">
							<option value="">選択して下さい。</option>
							<option value="選択肢１"<?= $type->selected('選択肢１') ?>>選択肢１</option>
							<option value="選択肢２"<?= $type->selected('選択肢２') ?>>選択肢２</option>
							<option value="選択肢３"<?= $type->selected('選択肢３') ?>>選択肢３</option>
						</select>
						<?= $type->marker_tag() ?>
						<?= $type->error_tag() ?>
					</td>
					<td>
						<dl>
							<dt>フォームPHP</dt>
							<dd>
								<code>
									&lt;select name="<span>type</span>"&gt;<br>
									&nbsp;&nbsp;&lt;option value=""&gt;<i>選択して下さい</i>。&lt;/option&gt;<br>
									&nbsp;&nbsp;&lt;option value="<i>選択肢１</i>"&gt;&lt;?= $<span>type</span>-&gt;<a href="">selected</a>('<I>選択肢１</I>') ?&gt;<i>選択肢１</i>&lt;/option&gt;<br>
									&nbsp;&nbsp;&lt;option value="<i>選択肢２</i>"&gt;&lt;?= $<span>type</span>-&gt;<a href="">selected</a>('<I>選択肢２</I>') ?&gt;<i>選択肢２</i>&lt;/option&gt;<br>
									&nbsp;&nbsp;&lt;option value="<i>選択肢３</i>"&gt;&lt;?= $<span>type</span>-&gt;<a href="">selected</a>('<I>選択肢３</I>') ?&gt;<i>選択肢３</i>&lt;/option&gt;<br>
									&lt;/select&gt;<br>
									&lt;?= $<span>type</span>-&gt;<a href="">marker_tag</a>() ?&gt;<br>
									&lt;?= $<span>type</span>-&gt;<a href="">error_tag</a>() ?&gt;<br>
								</code>
							</dd>
						</dl>
						<dl>
							<dt>config.php</dt>
							<dd>
								<code>
									'<span>type</span>' => null,
								</code>
							</dd>
						</dl>
						<dl>
							<dt>メール文PHP</dt>
							<dd>
								<code>&lt;?= $<span>type</span> ?&gt;</code>
							</dd>
						</dl>
					</td>
				</tr>
				<tr>
					<th><p>ご希望の資料（複数選択可）</p></th>
					<td>
						<select name="document[]" multiple>
							<option value="選択肢１"<?= $document->selected('選択肢１') ?>>選択肢１</option>
							<option value="選択肢２"<?= $document->selected('選択肢２') ?>>選択肢２</option>
							<option value="選択肢３"<?= $document->selected('選択肢３') ?>>選択肢３</option>
							<option value="選択肢４"<?= $document->selected('選択肢４') ?>>選択肢４</option>
						</select>
						<?= $document->marker_tag() ?>
						<?= $document->error_tag() ?>
						<p>最大２つまで</p>
					</td>
					<td>
						<dl>
							<dt>フォームPHP</dt>
							<dd>
								<code>
									&lt;select name="<span>document</span>" multiple&gt;<br>
									&nbsp;&nbsp;&lt;option value="<i>選択肢１</i>"&gt;&lt;?= $<span>document</span>-&gt;<a href="">selected</a>('<i>選択肢１</i>') ?&gt;<i>選択肢１</i>&lt;/option&gt;<br>
									&nbsp;&nbsp;&lt;option value="<i>選択肢２</i>"&gt;&lt;?= $<span>document</span>-&gt;<a href="">selected</a>('<i>選択肢２</i>') ?&gt;<i>選択肢２</i>&lt;/option&gt;<br>
									&nbsp;&nbsp;&lt;option value="<i>選択肢３</i>"&gt;&lt;?= $<span>document</span>-&gt;<a href="">selected</a>('<i>選択肢３</i>') ?&gt;<i>選択肢３</i>&lt;/option&gt;<br>
									&nbsp;&nbsp;&lt;option value="<i>選択肢４</i>"&gt;&lt;?= $<span>document</span>-&gt;<a href="">selected</a>('<i>選択肢４</i>') ?&gt;<i>選択肢４</i>&lt;/option&gt;<br>
									&lt;/select&gt;<br>
									&lt;?= $<span>document</span>-&gt;<a href="">marker_tag</a>() ?&gt;<br>
									&lt;?= $<span>document</span>-&gt;<a href="">error_tag</a>() ?&gt;<br>
								</code>
							</dd>
						</dl>
						<dl>
							<dt>config.php</dt>
							<dd>
								<code>
									'<span>document</span>' => <a href="">COUNTS</a>(0,2),
								</code>
							</dd>
						</dl>
						<dl>
							<dt>メール文PHP</dt>
							<dd>
								<code>&lt;?= $<span>document</span>-&gt;<a href="">indent</a>('<i>・</i>') ?&gt;</code>
							</dd>
						</dl>
					</td>
				</tr>

				<tr class="title"><th colspan="3">テキストエリア要素サンプル</th></tr>
				<tr>
					<th><p>お問い合わせ</p></th>
					<td>
						<textarea name="otoiawase"><?= $otoiawase ?></textarea>
						<?= $otoiawase->marker_tag() ?>
						<?= $otoiawase->error_tag() ?>
						<p>※1,000文字まで</p>
					</td>
					<td>
						<dl>
							<dt>フォームPHP</dt>
							<dd>
								<code>
									&lt;textarea name="<span>otoiawase</span>"&gt;&lt;?= $<span>otoiawase</span> ?&gt;&lt;/textarea&gt;<br>
									&lt;?= $<span>otoiawase</span>-&gt;<a href="">marker_tag</a>() ?&gt;<br>
									&lt;?= $<span>otoiawase</span>-&gt;<a href="">error_tag</a>() ?&gt;
								</code>
							</dd>
						</dl>
						<dl>
							<dt>config.php</dt>
							<dd>
								<code>
									'<span>otoiawase</span>' => <a href="">LENGTH</a>(1000),
								</code>
							</dd>
						</dl>
						<dl>
							<dt>メール文PHP</dt>
							<dd>
								<code>&lt;?= $<span>otoiawase</span> ?&gt;</code><br>
								<code>&lt;?= $<span>otoiawase</span>-&gt;<a href="">indent</a>('  ') ?&gt;</code>
							</dd>
						</dl>
					</td>
				</tr>
				<tr>
					<th><p>ご意見</p></th>
					<td>
						<textarea name="goiken"><?= $goiken ?></textarea>
						<?= $goiken->marker_tag() ?>
						<?= $goiken->error_tag() ?>
						<p>※1,000文字まで</p>
						<p>※自動的に改行が除去されます。</p>
					</td>
					<td>
						<dl>
							<dt>フォームPHP</dt>
							<dd>
								<code>
									&lt;textarea name="<span>goiken</span>"&gt;&lt;?= $<span>goiken</span> ?&gt;&lt;/textarea&gt;<br>
									&lt;?= $<span>goiken</span>-&gt;<a href="">marker_tag</a>() ?&gt;<br>
									&lt;?= $<span>goiken</span>-&gt;<a href="">error_tag</a>() ?&gt;
								</code>
							</dd>
						</dl>
						<dl>
							<dt>config.php</dt>
							<dd>
								<code>
									'<span>goiken</span>' => <a href="">DELRETURN</a>() -&gt; <a href="">LENGTH</a>(1000),
								</code>
							</dd>
						</dl>
						<dl>
							<dt>メール文PHP</dt>
							<dd>
								<code>&lt;?= $<span>goiken</span> ?&gt;</code><br>
							</dd>
						</dl>
					</td>
				</tr>

				<tr class="title"><th colspan="3">アップロード要素サンプル</th></tr>
				<tr>
					<th><p>画像ファイルのアップロード</p></th>
					<td>
						<input type="file" name="image">
						<?= $image->marker_tag() ?>
						<?= $image->error_tag() ?>
						<?= $image->file_control_tag() ?>
						<p>1MBまでの画像ファイル（*.jpg, *.png, *.gif）</p>
					</td>
					<td>
						<dl>
							<dt>フォームPHP</dt>
							<dd>
								<code>
									&lt;input type="file" name="<span>image</span>"&gt;<br>
									&lt;?= $<span>image</span>-&gt;<a href="">marker_tag</a>() ?&gt;<br>
									&lt;?= $<span>image</span>-&gt;<a href="">error_tag</a>() ?&gt;<br>
									&lt;?= $<span>image</span>-&gt;<a href="">file_control_tag</a>() ?&gt;<br>
									&lt;p&gt;<i>1MBまでの画像ファイル（*.jpg, *.png, *.gif）</i>&lt;/p&gt;
								</code>
							</dd>
							<dt>フォームPHP（確認画面）</dt>
							<dd>
								<code>
									&lt;?= $<span>image</span>-&gt;<a href="">file_preview_tag</a>() ?&gt;
								</code>
							</dd>
						</dl>
						<dl>
							<dt>config.php</dt>
							<dd>
								<code>
									'<span>image</span>' => <a href="">EXT</a>('<i>jpg</i>', '<i>jpeg</i>', '<i>png</i>', '<i>gif</i>') -> MB(<i>1</i>),
								</code>
							</dd>
						</dl>
						<dl>
							<dt>メール文PHP</dt>
							<dd>
								<code>&lt;?= $<span>image</span>-&gt;<a href="">file_org_name</a>() ?&gt; (&lt;?= $<span>image</span>-&gt;<a href="">file_size</a>()-&gt;<a href="">comma</a>() ?&gt; byte)</code>
							</dd>
						</dl>
					</td>
				</tr>
				<tr>
					<th><p>PDFファイルのアップロード</p></th>
					<td>
						<input type="file" name="pdf">
						<?= $pdf->marker_tag() ?>
						<?= $pdf->error_tag() ?>
						<?= $pdf->file_control_tag() ?>
						<p>2MBまでのPDFファイル（*.pdf）</p>
					</td>
					<td>
						<dl>
							<dt>フォームPHP</dt>
							<dd>
								<code>
									&lt;input type="file" name="<span>pdf</span>"&gt;<br>
									&lt;?= $<span>pdf</span>-&gt;<a href="">marker_tag</a>() ?&gt;<br>
									&lt;?= $<span>pdf</span>-&gt;<a href="">error_tag</a>() ?&gt;<br>
									&lt;?= $<span>pdf</span>-&gt;<a href="">file_control_tag</a>() ?&gt;<br>
									&lt;p&gt;<i>2MBまでのPDFファイル（*.pdf）</i>&lt;/p&gt;
								</code>
							</dd>
						</dl>
						<dl>
							<dt>config.php</dt>
							<dd>
								<code>
									'<span>pdf</span>' =&gt; <a href="">EXT</a>('<i>pdf</i>') -&gt; <a href="">MB</a>(<i>3</i>),
								</code>
							</dd>
						</dl>
						<dl>
							<dt>メール文PHP</dt>
							<dd>
								<code>&lt;?= $<span>pdf</span>-&gt;<a href="">file_org_name</a>() ?&gt; (&lt;?= $<span>pdf</span>-&gt;<a href="">file_size</a>()-&gt;<a href="">comma</a>() ?&gt; byte)</code>
							</dd>
						</dl>
					</td>
				</tr>

				<tr class="title"><th colspan="3">組み合わせサンプル</th></tr>
				<tr>
					<th>
						<p>電話番号（入力必須）</p>
					</th>
					<td>
						<input type="text" name="tel" value="<?= $tel ?>">
						<?= $tel->marker_tag() ?>
						<?= $tel->error_tag() ?>
					</td>
					<td>
						<dl>
							<dt>フォームPHP</dt>
							<dd>
								<code>
									&lt;input type="text" name="<span>tel</span>" value="&lt;?= $<span>tel</span> ?&gt;"&gt;<br>
									&lt;?= $<span>tel</span>-&gt;<a href="">marker_tag</a>() ?&gt;<br>
									&lt;?= $<span>tel</span>-&gt;<a href="">error_tag</a>() ?&gt;
								</code>
							</dd>
						</dl>
						<dl>
							<dt>config.php</dt>
							<dd>
								<code>
									'<span>tel</span>' => <a href="">REQ</a>() -> <a href="">TEL</a>(),
								</code>
							</dd>
						</dl>
						<dl>
							<dt>メール文PHP</dt>
							<dd>
								<code>&lt;?= $<span>tel</span> ?&gt;</code><br>
							</dd>
						</dl>
					</td>
				</tr>
				<tr>
					<th>
						<p>「その他」テキスト入力</p>
						<div class="rule">選択肢によって必須切り替え</div>
					</th>
					<td>
						<label><input type="checkbox" name="colors[]" value="選択肢Ⅰ" <?= $colors->checked('選択肢Ⅰ') ?>> 選択肢Ⅰ</label><br>
						<label><input type="checkbox" name="colors[]" value="選択肢Ⅱ" <?= $colors->checked('選択肢Ⅱ') ?>> 選択肢Ⅱ</label><br>
						<label><input type="checkbox" name="colors[]" value="選択肢Ⅲ" <?= $colors->checked('選択肢Ⅲ') ?>> 選択肢Ⅲ</label><br>
						<label>
							<input type="checkbox" name="colors[]" value="その他" <?= $colors->checked('その他') ?> data-fk-with="colors_text" data-fk-disabled-to="colors_text">
							その他 <input type="text" name="colors_text" value="<?= $colors_text ?>">
							<?= $colors_text->marker_tag() ?>
						</label>
						<?= $colors->error_tag() ?>
						<?= $colors_text->error_tag() ?>
					</td>
					<td>
						<dl>
							<dt>フォームPHP</dt>
							<dd>
								<code>
									&lt;label&gt;&lt;input type="checkbox" name="<span>colors</span>[]" value="<i>選択肢Ⅰ</i>" &lt;?= $<span>colors</span>-&gt;<a href="">checked</a>('<i>選択肢Ⅰ</i>') ?&gt;&gt; <i>選択肢Ⅰ</i>&lt;/label&gt;&lt;br&gt;<br>
									&lt;label&gt;&lt;input type="checkbox" name="<span>colors</span>[]" value="<i>選択肢Ⅱ</i>" &lt;?= $<span>colors</span>-&gt;<a href="">checked</a>('<i>選択肢Ⅱ</i>') ?&gt;&gt; <i>選択肢Ⅱ</i>&lt;/label&gt;&lt;br&gt;<br>
									&lt;label&gt;&lt;input type="checkbox" name="<span>colors</span>[]" value="<i>選択肢Ⅲ</i>" &lt;?= $<span>colors</span>-&gt;<a href="">checked</a>('<i>選択肢Ⅲ</i>') ?&gt;&gt; <i>選択肢Ⅲ</i>&lt;/label&gt;&lt;br&gt;<br>
									&lt;label&gt;<br>
										&lt;input type="checkbox" name="<span>colors</span>[]" value="その他" &lt;?= $<span>colors</span>-&gt;<a href="">checked</a>('その他') ?&gt; data-fk-with="<span>colors_text</span>" data-fk-disabled-to="<span>colors_text</span>"&gt;<br>
										その他 &lt;input type="text" name="<span>colors_text</span>" value="&lt;?= $<span>colors_text</span> ?&gt;"&gt;<br>
										&lt;?= $<span>colors_text</span>-&gt;<a href="">marker_tag</a>() ?&gt;<br>
									&lt;/label&gt;<br>
									&lt;?= $<span>colors</span>-&gt;<a href="">error_tag</a>() ?&gt;<br>
									&lt;?= $<span>colors_text</span>-&gt;<a href="">error_tag</a>() ?&gt;
								</code>
							</dd>
							<dt>フォームPHP（確認画面）</dt>
							<dd>
								<code>
									&lt;?= $<span>colors</span>-&gt;<a href="">join</a>("<i>\n</i>") ?&gt;&lt;?= $<span>colors_text</span>-&gt;<a href="">wrap</a>('<i>：</i>')-&gt;<a href="">empty_label</a>('') ?&gt;
								</code>
							</dd>
						</dl>
						<dl>
							<dt>config.php</dt>
							<dd>
								<code>
									'<span>colors</span>' => <a href="">REQ</a>() -> <a href="">ERRORSET</a>('<i>いずれか１つ以上選択してください</i>。'),<br>
									'<span>colors_text</span>' => <a href="">REQ</a>('colors','その他') -> <a href="">ERRORSET</a>('<i>その他のテキストを入力して下さい</i>。'),
								</code>
							</dd>
						</dl>
						<dl>
							<dt>メール文PHP</dt>
							<dd>
								<code>&lt;?= $<span>colors</span>-&gt;<a href="">join</a>("<i>\n</i>")-&gt;<a href="">indent</a>('<i>  ・</i>') ?&gt;&lt;?= $<span>colors_text</span>-&gt;<a href="">wrap</a>('<i>：</i>')-&gt;<a href="">empty_label</a>('') ?&gt;</code>
							</dd>
						</dl>
					</td>
				</tr>
				<tr>
					<th>
						<p>ご住所</p>
						<div class="rule">郵便番号からAjaxZip実行</div>
					</th>
					<td>
						〒 <input type="text" name="zip" value="<?= $zip ?>" data-fk-ajaxzip="'zip','','pref','address1'" placeholder="（例：000-0000）">
						<?= $zip->marker_tag() ?>
						<?= $zip->error_tag() ?>
						<br>
						都道府県
						<select name="pref">
							<option value="">（１つ選択して下さい）</option>
							<?= \FK\pref_options_tag($pref, '宮城県') ?>
						</select> <?= $pref->marker_tag() ?>
						<br>
						市区町村/番地 <input type="text" name="address1" value="<?= $address1 ?>">
						<?= $address1->marker_tag() ?>
						<?= $address1->error_tag() ?>
						<br>
						建物名/階など <input type="text" name="address2" value="<?= $address2 ?>">
						<?= $address2->marker_tag() ?>
						<?= $address2->error_tag() ?>
					</td>
					<td>
						<dl>
							<dt>フォームPHP</dt>
							<dd>
								<code>
									〒 &lt;input type="text" name="<span>zip</span>" value="&lt;?= $<span>zip</span> ?&gt;" data-fk-ajaxzip="'<span>zip</span>','','<span>pref</span>','<span>address1</span>'"&gt;<br>
									&lt;?= $<span>zip</span>-&gt;<a href="">marker_tag</a>() ?&gt;<br>
									&lt;?= $<span>zip</span>-&gt;<a href="">error_tag</a>() ?&gt;<br>
									&lt;br&gt;<br>
									都道府県<br>
									&lt;select name="<span>pref</span>"&gt;<br>
										&lt;option value=""&gt;<i>（１つ選択して下さい）</i>&lt;/option&gt;<br>
										&lt;?= <a href="">\FK\pref_options_tag</a>($<span>pref</span>, '<i>宮城県</i>') ?&gt;<br>
									&lt;/select&gt; &lt;?= $<span>pref</span>-&gt;<a href="">marker_tag</a>() ?&gt;<br>
									&lt;br&gt;<br>
									市区町村/番地 &lt;input type="text" name="<span>address1</span>" value="&lt;?= $<span>address1</span> ?&gt;"&gt;<br>
									&lt;?= $<span>address1</span>-&gt;<a href="">marker_tag</a>() ?&gt;<br>
									&lt;?= $<span>address1</span>-&gt;<a href="">error_tag</a>() ?&gt;<br>
									&lt;br&gt;<br>
									建物名/階など &lt;input type="text" name="<span>address2</span>" value="&lt;?= $<span>address2</span> ?&gt;"&gt;<br>
									&lt;?= $<span>address2</span>-&gt;<a href="">marker_tag</a>() ?&gt;<br>
									&lt;?= $<span>address2</span>-&gt;<a href="">error_tag</a>() ?&gt;<br>
								</code>
							</dd>
							<dt>フォームPHP（確認画面）</dt>
							<dd>
								<code>
									〒：&lt;?= $<span>zip</span> ?&gt;&lt;br&gt;<br>
									都道府県：&lt;?= $<span>pref</span> ?&gt;&lt;br&gt;<br>
									市区町村/番地：&lt;?= $<span>address1</span> ?&gt;&lt;br&gt;<br>
									建物名/階など：&lt;?= $<span>address2</span> ?&gt;<br>
								</code>
							</dd>


						</dl>
						<dl>
							<dt>config.php</dt>
							<dd>
								<code>
									'<span>zip</span>' =&gt; <a href="">ZIP</a>(),<br>
									'<span>pref</span>' =&gt; <a href="">PREF</a>(),<br>
									'<span>address1</span>' =&gt; <a href="">LENGTH</a>(<i>1</i>,<i>100</i>),<br>
									'<span>address2</span>' =&gt; <a href="">LENGTH</a>(<i>0</i>,<i>100</i>),<br>
								</code>
							</dd>
						</dl>
						<dl>
							<dt>メール文PHP</dt>
							<dd>
								<code>
									〒 &lt;?= $zip ?&gt;<br>
									&lt;?= $<span>pref</span> ?&gt; &lt;?= $<span>address1</span>-&gt;<a href="">empty_label</a>() ?&gt; &lt;?= $<span>address2</span>-&gt;<a href="">empty_label</a>() ?&gt;
								</code>
							</dd>
						</dl>
					</td>
				</tr>
			</tbody>
		</table>
		<div class="submit">
			<button>確認画面へ</button>
		</div>
		<aside><?= \FK\copyright_tag(); ?></aside>
	</form>
</main>

<!-- <head>内ではなく</body>直前に置くこと。でないと警告やエラーになる。 -->
<script src="formkit/app/fk.js"></script>
<script>

// FormKit JS設定
function formkit_config(){

	// 基本設定
	$fk.config.verbose = true; // trueで冗長モード
	$fk.config.prefix   = 'fk';
	$fk.config.scroll_speed = 500; // エラー箇所へのスクロールスピード(msec)
	$fk.config.scroll_offset = -30; // エラー箇所への縦位置オフセット
	// $fk.config.minimum_send = true;

	// フック設定
	$fk.hook.on_element_default    = function(element){ ; };
	$fk.hook.on_element_input      = function(element){ ; };
	$fk.hook.on_element_ok         = function(element){ ; };
	$fk.hook.on_element_ng         = function(element){ ; };
	$fk.hook.on_element_validate   = function(element){ ; };
	$fk.hook.on_form_submit_before = function(form){ ; };
	$fk.hook.on_form_submit_after  = function(form){ ; };
	$fk.hook.on_form_send          = function(form){ ; };
	$fk.hook.on_ajax_before        = function(senddata){ ; };
	$fk.hook.on_ajax_after         = function(defer){ ; };
}

</script>

</body>
</html>
